Bug 1268843 - Preview data from the view table which use UDF procedure doesn't work
Preview data from the view table which use UDF procedure doesn't work
Status: CLOSED NOTABUG
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Tooling (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Barry LaFond
Matus Makovy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 08:23 EDT by Matej Kralik
Modified: 2016-10-18 05:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 08:22:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIIDDES-2677 Major Closed Preview data from the view table which use UDF procedure doesn't work 2016-10-18 05:17 EDT

  None (edit)
Description Matej Kralik 2015-10-05 08:23:08 EDT
When I tried data preview from the view table which use UDF procedure, it has failed and show 
"org.teiid.runtime.client.TeiidClientException: org.teiid.api.exception.query.QueryResolverException: Group does not exist: UdfViewModel.UdfView"
but UdfView exist.
However,when I exported the project and import it back, preview data works correctly.


Steps to Reproduce:

1. create relational view model
2. create procedure (user defined function)
3. create table (UdfView for example) which use procedure
4. click to preview data on view table (UdfView)
5. preview data should fail ( ... Group does not exist: UdfViewModel.UdfView)
6. export project ( right click project -> export -> Archive file)
7. delete project from teiid designer
8. import project back
9. click to preview data on view table (UdfView)
10. preview data should pass
Comment 1 Barry LaFond 2015-12-07 08:22:27 EST
Using only JIRA now.  Marking as closed
Comment 2 JBoss JIRA Server 2016-09-26 14:33:49 EDT
Barry LaFond <blafond@jboss.org> updated the status of jira TEIIDDES-2677 to Resolved
Comment 3 JBoss JIRA Server 2016-10-18 05:17:29 EDT
Matej Kralik <mkralik@redhat.com> updated the status of jira TEIIDDES-2677 to Closed

Note You need to log in before you can comment on or make changes to this bug.